unit uViewIntervaloComparativo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxGraphics, cxEdit, cxDropDownEdit, cxCalendar, StdCtrls,
  cxControls, cxContainer, cxTextEdit, cxMaskEdit, TBXDkPanels,
  cxEditRepositoryItems, dxLayoutControl, dxLayoutLookAndFeels, uViewBase,
  Mask, JvExMask, JvToolEdit, TB2Dock, uViewParametrosInforme, cxSpinEdit;

type
  IViewPeriodoFechas = interface(IViewParametrosInforme)
    ['{793084E2-873E-4C57-8BD6-9087816CCF3A}']
  end;

  TfrViewIntervaloComparativo = class(TfrViewParametrosInforme, IViewPeriodoFechas)
    TBXLabel2: TTBXLabel;
    TBXAlignmentPanel2: TTBXAlignmentPanel;
    Label3: TLabel;
    TBXAlignmentPanel3: TTBXAlignmentPanel;
    lis: TLabel;
    cbIntervalo: TcxComboBox;
    cbAno1: TcxComboBox;
    TBXAlignmentPanel1: TTBXAlignmentPanel;
    Label1: TLabel;
    cbAno2: TcxComboBox;
    TBXAlignmentPanel4: TTBXAlignmentPanel;
    Label2: TLabel;
    stopN: TcxSpinEdit;
    TBXAlignmentPanel5: TTBXAlignmentPanel;
    Label4: TLabel;
    cbSerie: TcxComboBox;

  private
    function GetIntervalo: Variant;
    function GetAno1: Variant;
    function GetAno2: Variant;
    function GetSerie: Variant;
    procedure SetIntervalo(const Value: Variant);
    procedure SetAno1(const Value: Variant);
    procedure SetAno2(const Value: Variant);
    procedure SetSerie(const Value: Variant);

  public
    property Intevalo : Variant read GetIntervalo write SetIntervalo;
    property Ano1 : Variant read GetAno1 write SetAno1;
    property Ano2 : Variant read GetAno2 write SetAno2;
    property Serie : Variant read GetSerie write SetSerie;
    constructor Create(AOwner: TComponent); override;
  end;

implementation

uses DateUtils;

{$R *.dfm}



function TfrViewIntervaloComparativo.GetIntervalo: Variant;
begin
  Result := cbIntervalo.EditValue;
end;

function TfrViewIntervaloComparativo.GetSerie: Variant;
begin
  Result := cbSerie.ItemIndex;
end;

function TfrViewIntervaloComparativo.GetAno1: Variant;
begin
  Result := cbAno1.EditValue;
end;

function TfrViewIntervaloComparativo.GetAno2: Variant;
begin
  Result := cbAno2.EditValue;
end;

procedure TfrViewIntervaloComparativo.SetIntervalo(const Value: Variant);
begin
  cbIntervalo.EditValue := Value;
end;

procedure TfrViewIntervaloComparativo.SetSerie(const Value: Variant);
begin
  cbSerie.ItemIndex := Value;
end;

procedure TfrViewIntervaloComparativo.SetAno1(const Value: Variant);
begin
  cbAno1.EditValue := Value;
end;

procedure TfrViewIntervaloComparativo.SetAno2(const Value: Variant);
begin
  cbAno2.EditValue := Value;
end;

constructor TfrViewIntervaloComparativo.Create(AOwner: TComponent);
begin
  inherited;
//  cbPeriodo.ItemIndex := 0;
//  cbPeriodo2.ItemIndex := 0;
//  EsteMes(TFecha);
end;


end.

